﻿<!DOCTYPE html>
<html lang="fr">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
    <meta name="description" content="GSB Prospects">
    <meta name="author" content="David RIEHL <david.riehl@ac-lille.fr>">
    <link rel="icon" href="<?= $this->basePath; ?>/favicon.ico">

    <title><?= $this->title; ?></title>

    <!-- Bootstrap core CSS -->
    <link href="<?= $this->basePath; ?>/../vendor/twbs/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">

    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <link href="<?= $this->basePath; ?>/../vendor/twbs/bootstrap/docs/assets/css/ie10-viewport-bug-workaround.css" rel="stylesheet">

    <!-- Custom styles for this template -->
    <link href="<?= $this->basePath; ?>/view/css/gsb.css" rel="stylesheet">

    <!-- Just for debugging purposes. Don't actually copy these 2 lines! -->
    <!--[if lt IE 9]><script src="<?= $this->basePath; ?>/../../assets/js/ie8-responsive-file-warning.js"></script><![endif]-->
    <script src="<?= $this->basePath; ?>/../vendor/twbs/bootstrap/docs/assets/js/ie-emulation-modes-warning.js"></script>

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
  </head>

  <body>

      <div class="container">
          <!-- Static navbar -->
          <nav class="navbar navbar-default">
              <div class="container-fluid">
                  <div class="navbar-header">
                      <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
                          <span class="sr-only">Toggle navigation</span>
                          <span class="icon-bar"></span>
                          <span class="icon-bar"></span>
                          <span class="icon-bar"></span>
                      </button>
                      <a class="navbar-brand" href="<?= $this->basePath; ?>/"><?= PROJECT_NAME ?></a>
                  </div>
                  <div id="navbar" class="navbar-collapse collapse">
                      <ul class="nav navbar-nav">
                          <li><a href="<?= $this->basePath; ?>/">Accueil</a></li>
                          <li class="active"><a href="<?= $this->basePath; ?>/praticiens/">Praticiens</a></li>
                          <li><a href="<?= $this->basePath; ?>/prospects/">Prospects</a></li>
                          <li><a href="<?= $this->basePath; ?>/clients/">Clients</a></li>
                      </ul>
                  </div><!--/.nav-collapse -->
              </div><!--/.container-fluid -->
          </nav>
          <!-- Main component for a primary marketing message or call to action -->
          <div class="jumbotron">
              <h1><?= $this->title; ?></h1>
              <?php if (empty($this->objects)): ?>
              <p>Il n'y a pas de <?= $this->objectName ?>.</p>
              <?php else: ?>
              <?php if (count($this->objects) == 1): ?>
              <p>Il y a 1 <?= $this->objectName ?>.</p>
              <?php else: ?>
              <p>Il y a <?= count($this->objects) ?> <?= $this->objectNamePlural ?>.</p>
              <?php endif; ?>
              <div class="table-responsive table-300">
                  <!-- Button add-->
                  <a href="<?= $this->basePath; ?>/praticien/create/" class="btn btn-primary" rôle="button"> Ajouter un praticien</a>
                  <a href="<?= $this->basePath; ?>/praticien/update/{}" class="btn btn-warning" rôle="button"> Modifier un praticien</a>
                  <table class="table table-hover">
                      <thead>
                          <tr>
                              <th>Nom</th>
                              <th>Prénom</th>
                              <th>Adresse</th>
                              <th>Code Postal</th>
                              <th>Ville</th>
                          </tr>
                      </thead>
                      <tbody>
                          <?php foreach ($this->objects as $object): ?>
                          <tr>
                              <td><?= $object->getNom(); ?></td>
                              <td><?= $object->getPrenom(); ?></td>
                              <td><?= $object->getAdresse(); ?></td>
                              <td><?= ($object->getVille() == null)?"":$object->getVille()->getCodePostal(); ?></td>
                              <td><?= ($object->getVille() == null)?"":$object->getVille()->getNom(); ?></td>
                              <td><a href="<?= $this->basePath; ?>/praticien/delete/id=<?= $object->getId(); ?>/" class="btn btn-danger" rôle="button"> Supprimer </a></td>
                              <td><a href="<?= $this->basePath; ?>/prospect/create/id=<?= $object->getId(); ?>/" class="btn btn-warning" rôle="button"> Prospecter </a></td>
                          </tr>
                          <?php endforeach; ?>
                      </tbody>
                  </table>
              </div>
              <?php endif; ?>
          </div>

          <!-- Site footer -->
          <footer class="footer">
              <p>&copy; 2017 GSB, Inc.</p>
          </footer>

      </div> <!-- /container -->


    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
    <script>window.jQuery || document.write('<script src="<?= $this->basePath; ?>/../../assets/js/vendor/jquery.min.js"><\/script>')</script>
    <script src="<?= $this->basePath; ?>/../vendor/twbs/bootstrap/dist/js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="<?= $this->basePath; ?>/../vendor/twbs/bootstrap/docs/assets/js/ie10-viewport-bug-workaround.js"></script>
  </body>
</html>
